* {
	margin: 0;
	padding: 0;
	box-sizing: border-box;
	font-family: sans-serif;
}

.start-game {
	&__container {
		z-index: 111;
		position: absolute;
		top: 50%;
		left: 50%;
		transform: translate(-50%, -50%);
		width: 300px;
		height: 300px;
		background-color: orange;
		display: flex;
		justify-content: center;
		align-items: center;
		flex-direction: column;
		border: 2px solid black;
	}
	&__img {
		width: 100%;
		height: 100%;
	}
	&__select {
		margin: 10px 0;
	}

	&__headline {
		margin-bottom: 50px;
	}

	&__btn {
		padding: 2px;
	}
}

.playing-field {
	width: 100%;
	height: 100%;
	display: flex;
	flex-wrap: wrap;
	@media(min-width: 800px) {
		max-width: 800px;
		margin: 0 auto;
	}
}

.card-container {
	position: relative;
	cursor: pointer;
	border: 4px solid #fff;
	// background-size: 200px;
	background-repeat: no-repeat;
	background-position: 50%;

	&--small div {
		flex-basis: 50%;
		flex-grow: 1;
		height: 33.3vh;
	}
	&--medium div {
		flex-basis: 33.3%;
		flex-grow: 1;
		height: 25vh;
	}
	&--large div {
		flex-basis: 33%;
		flex-grow: 1;
		height: 16.6666vh;
	}
}

.card-after,
.card-before {
	position: absolute;
	width: 100%;
	height: 100%;
	transition: transform 0.7s ease-out;
	backface-visibility: hidden;
}

.card-after {
	background-color: white;
	transform: rotateY(180deg);
}

.card-before {
	background-color: rgb(239, 235, 235);
}

.flipper .card-before {
	transform: rotateY(180deg);
}

.flipper .card-after {
	transform: rotateY(0);
}
